////////////////////////////////////////////////////////////////////////////////
// SelectedRootsFlags.cpp : Implementation of SelectedRootsFlags
//
// Created: 19th March 2006
// Updated: 19th March 2006
//

#include "stdafx.h"
#include "recls.com.h"
#include "SelectedRootsFlags.h"

/////////////////////////////////////////////////////////////////////////////
// SelectedRootsFlags

////////////////////////////////////////////////////////////////////////////////
// ISelectedRootsFlags

STDMETHODIMP SelectedRootsFlags::get_FixedDrives(/*[out, retval]*/ long *pVal)
{
    return (NULL == pVal) ? E_POINTER : (*pVal = RECLS_F_FIXED_DRIVES, S_OK);
}

#define SelectedRootsFlags_Method_Def(name, flag)                              \
                                                                        \
    STDMETHODIMP SelectedRootsFlags::get_##name(/*[out, retval]*/ long *pVal)  \
    {                                                                   \
        return (NULL == pVal) ? E_POINTER : (*pVal = flag, S_OK);       \
    }

SelectedRootsFlags_Method_Def(NetworkDrives, RECLS_F_NETWORK_DRIVES)
SelectedRootsFlags_Method_Def(CDRomDrives, RECLS_F_CDROM_DRIVES)
SelectedRootsFlags_Method_Def(RemovableDrives, RECLS_F_REMOVABLE_DRIVES)
SelectedRootsFlags_Method_Def(RAMDrives, RECLS_F_RAM_DRIVES)

////////////////////////////////////////////////////////////////////////////////
