////////////////////////////////////////////////////////////////////////////////
// SelectedRootsFlags.h : Declaration of the SelectedRootsFlags class
//
// Updated: 19th March 2006

#ifndef __SelectedRootsFlags_H_
#define __SelectedRootsFlags_H_

#include "resource.h"       // main symbols

////////////////////////////////////////////////////////////////////////////////
// SelectedRootsFlags

class ATL_NO_VTABLE SelectedRootsFlags
    : public CComObjectRootEx<CComMultiThreadModelNoCS>
    , public CComCoClass<SelectedRootsFlags, &CLSID_SelectedRootsFlags>
    , public IDispatchImpl<ISelectedRootsFlags, &IID_ISelectedRootsFlags, &LIBID_RECLS_COMLib>
    , public atlstl::SupportErrorInfoImpl<&IID_ISelectedRootsFlags>
{
public:

DECLARE_REGISTRY_RESOURCEID(IDR_SELECTEDROOTSFLAGS)

DECLARE_PROTECT_FINAL_CONSTRUCT()

BEGIN_COM_MAP(SelectedRootsFlags)
    COM_INTERFACE_ENTRY(ISelectedRootsFlags)
    COM_INTERFACE_ENTRY(IDispatch)
    COM_INTERFACE_ENTRY(ISupportErrorInfo)
END_COM_MAP()

// ISelectedRootsFlags
public:
    STDMETHOD(get_FixedDrives)(/*[out, retval]*/ long *pVal);
    STDMETHOD(get_NetworkDrives)(/*[out, retval]*/ long *pVal);
    STDMETHOD(get_CDRomDrives)(/*[out, retval]*/ long *pVal);
    STDMETHOD(get_RemovableDrives)(/*[out, retval]*/ long *pVal);
    STDMETHOD(get_RAMDrives)(/*[out, retval]*/ long *pVal);
};

////////////////////////////////////////////////////////////////////////////////

#endif //__SelectedRootsFlags_H_

////////////////////////////////////////////////////////////////////////////////
